%def_disable static
Name: libusb-compat
Version: 0.1.0
Release: alt3

Summary: Libusb is a library which allows userspace access to USB devices
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/libusb/
Packager: Alexander Bokovoy <ab@altlinux.org>

%define namecompat %name-compat-0.1.0

Source0: %name-%version.tar
Patch0: %name-%version-%release.patch

BuildPreReq: docbook-dtds docbook-style-dsssl docbook-utils doxygen graphviz openjade sgml-common gcc-c++

BuildRequires: docbook-utils doxygen gcc-c++ graphviz linux-libc-headers pkg-config libusb-devel >= 1.0-alt2

Prereq: libusb >= 1.0.1-alt1

%description
Libusb is a library which allows userspace access to USB devices. 
Libusb-compat implements compatibility interfaces of libusb 0.1.

%package devel
Summary: Libusb-compat is a wrapper which allows userspace access to USB devices via older (0.1.0) API of libusb
Group: Development/C
Requires: %name = %version-%release

%description devel
Libusb-compat is a wrapper which allows userspace access to USB devices via older (0.1.0) API of libusb

This package contains header files needed for the development of programs that
use libusb.

Use of 0.1.0 API of libusb is discouraged, please port your applications to libusb 1.0 API!

%prep
%setup -q 
%patch -p1

%build
aclocal
%autoreconf
%configure %{subst_enable static} 
%make_build

%install
%makeinstall pkgconfigdir=%buildroot/%_libdir/pkgconfig

mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/libusb-0.1.so.* %buildroot/%_lib/
ln -sf ../../%_lib/libusb-0.1.so.4.4.4 %buildroot%_libdir/libusb.so

%files
/%_lib/libusb-0.1.so.*
%doc COPYING AUTHORS README NEWS

%files devel
%_libdir/libusb.so
%_bindir/libusb-config
%_includedir/usb.h
%_libdir/pkgconfig/libusb.pc

%changelog
* Wed May 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.1.0-alt3
- Move libusb-0.1.so.* to /lib to accompany main libusb-1.0.so.* 

* Sun Mar 29 2009 Alexander Bokovoy <ab@altlinux.org> 0.1.0-alt2
- Package libusb-compat-0.1 separately from libusb
- Include ALT-specific fixes

